var dc sigsqr m z rc;
 
varexo e1, e2;
 
parameters gamma, psi, theta, beta, mu_c, mu_sig, rho_sig, phi_sig, dcbar, sigsqrbar, mbar, zbar, rcbar, rfbar, exrcbar;

 gamma = 10.00000000; 
 psi = 1.50000000; 
 theta = (1-gamma)/(1-1/psi); 
 beta = 0.99800000; 
 mu_c = 0.00150000; 
 mu_sig = 0.00006084; 
 rho_sig = 0.95; 
 phi_sig = 0.00780000;  
 dcbar = mu_c; 
 sigsqrbar = mu_sig; 
 mbar = log(beta)-1/psi*dcbar; 
 rcbar = -mbar; 
 zbar = -log(exp(rcbar-dcbar)-1); 
  
model;
 dc = mu_c + sqrt(sigsqr(-1))*e1;
 sigsqr = mu_sig + rho_sig*(sigsqr(-1)-mu_sig) + phi_sig*e2;
 exp(m) = (beta^theta)*((exp(dc))^(-theta/psi))*((exp(rc))^(theta-1)); 
 exp(z) = exp(m(+1))*(1+exp(z(+1)))*exp(dc(+1));
 exp(rc) = (1+exp(z))*exp(dc)/exp(z(-1));
end;
  
 
initval;
dc = dcbar;
sigsqr = sigsqrbar;
m = mbar;
z = zbar;
rc = rcbar;
end; 
 
steady;

shocks;
var e1;
stderr 1;
var e2;
stderr 1;
end;
 
stoch_simul(order=2, irf=20)dc z rc m;
